Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.mbean
Interface C3P0PooledDataSourceMBean

All Known Implementing Classes:
  C3P0PooledDataSource

Deprecated. Please use com.mchange.v2.c3p0.jboss.C3P0PooledDataSourceMBean

    public interface C3P0PooledDataSourceMBean

Method Summary
`void` | `close()` Deprecated.
`void` | `create()` Deprecated.
`void` | `destroy()` Deprecated.
`int` | `getAcquireIncrement()` Deprecated.
`int` | `getAcquireRetryAttempts()` Deprecated.
`int` | `getAcquireRetryDelay()` Deprecated.
`java.lang.String` | `getAutomaticTestTable()` Deprecated.
`int` | `getCheckoutTimeout()` Deprecated.
`java.lang.String` | `getConnectionTesterClassName()` Deprecated.
`java.lang.String` | `getDescription()` Deprecated.
`java.lang.String` | `getDriverClass()` Deprecated.
`java.lang.String` | `getFactoryClassLocation()` Deprecated.
`int` | `getIdleConnectionTestPeriod()` Deprecated.
`int` | `getInitialPoolSize()` Deprecated.
`java.lang.String` | `getJdbcUrl()` Deprecated.
`java.lang.String` | `getJndiName()` Deprecated.
`int` | `getMaxIdleTime()` Deprecated.
`int` | `getMaxPoolSize()` Deprecated.
`int` | `getMaxStatements()` Deprecated.
`int` | `getMaxStatementsPerConnection()` Deprecated.
`int` | `getMinPoolSize()` Deprecated.
`int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)` Deprecated.
`int` | `getNumBusyConnectionsAllUsers()` Deprecated.
`int` | `getNumBusyConnectionsDefaultUser()` Deprecated.
`int` | `getNumConnections(java.lang.String username, java.lang.String password)` Deprecated.
`int` | `getNumConnectionsAllUsers()` Deprecated.
`int` | `getNumConnectionsDefaultUser()` Deprecated.
`int` | `getNumHelperThreads()` Deprecated.
`int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)` Deprecated.
`int` | `getNumIdleConnectionsAllUsers()` Deprecated.
`int` | `getNumIdleConnectionsDefaultUser()` Deprecated.
`int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)` Deprecated.
`int` | `getNumUnclosedOrphanedConnectionsAllUsers()` Deprecated.
`int` | `getNumUnclosedOrphanedConnectionsDefaultUser()` Deprecated.
`int` | `getNumUserPools()` Deprecated.
`java.lang.String` | `getPassword()` Deprecated.
`java.lang.String` | `getPreferredTestQuery()` Deprecated.
`int` | `getPropertyCycle()` Deprecated.
`java.lang.String` | `getUser()` Deprecated.
`void` | `hardReset()` Deprecated.
`boolean` | `isAutoCommitOnClose()` Deprecated.
`boolean` | `isBreakAfterAcquireFailure()` Deprecated.
`boolean` | `isForceIgnoreUnresolvedTransactions()` Deprecated.
`boolean` | `isTestConnectionOnCheckin()` Deprecated.
`boolean` | `isTestConnectionOnCheckout()` Deprecated.
`boolean` | `isUsesTraditionalReflectiveProxies()` Deprecated.
`void` | `setAcquireIncrement(int acquireIncrement)` Deprecated.
`void` | `setAcquireRetryAttempts(int acquireRetryAttempts)` Deprecated.
`void` | `setAcquireRetryDelay(int acquireRetryDelay)` Deprecated.
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)` Deprecated.
`void` | `setAutomaticTestTable(java.lang.String automaticTestTable)` Deprecated.
`void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)` Deprecated.
`void` | `setCheckoutTimeout(int checkoutTimeout)` Deprecated.
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)` Deprecated.
`void` | `setDescription(java.lang.String description)` Deprecated.
`void` | `setDriverClass(java.lang.String driverClass)` Deprecated.
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)` Deprecated.
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)` Deprecated.
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)` Deprecated.
`void` | `setInitialPoolSize(int initialPoolSize)` Deprecated.
`void` | `setJdbcUrl(java.lang.String jdbcUrl)` Deprecated.
`void` | `setJndiName(java.lang.String jndiName)` Deprecated.
`void` | `setMaxIdleTime(int maxIdleTime)` Deprecated.
`void` | `setMaxPoolSize(int maxPoolSize)` Deprecated.
`void` | `setMaxStatements(int maxStatements)` Deprecated.
`void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)` Deprecated.
`void` | `setMinPoolSize(int minPoolSize)` Deprecated.
`void` | `setNumHelperThreads(int numHelperThreads)` Deprecated.
`void` | `setPassword(java.lang.String password)` Deprecated.
`void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)` Deprecated.
`void` | `setPropertyCycle(int propertyCycle)` Deprecated.
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)` Deprecated.
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)` Deprecated.
`void` | `setUser(java.lang.String user)` Deprecated.
`void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)` Deprecated.
`void` | `softReset(java.lang.String username, java.lang.String password)` Deprecated.
`void` | `softResetAllUsers()` Deprecated.
`void` | `softResetDefaultUser()` Deprecated.
`void` | `start()` Deprecated.
`void` | `stop()` Deprecated.

Method Detail

### setJndiName

    void setJndiName(java.lang.String jndiName)
                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getJndiName

    java.lang.String getJndiName()

  Deprecated.

### getDescription

    java.lang.String getDescription()

  Deprecated.

### setDescription

    void setDescription(java.lang.String description)
                        throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getDriverClass

    java.lang.String getDriverClass()

  Deprecated.

### setDriverClass

    void setDriverClass(java.lang.String driverClass)
                        throws java.beans.PropertyVetoException,
                               javax.naming.NamingException

  Deprecated.
  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getJdbcUrl

    java.lang.String getJdbcUrl()

  Deprecated.

### setJdbcUrl

    void setJdbcUrl(java.lang.String jdbcUrl)
                    throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getUser

    java.lang.String getUser()

  Deprecated.

### setUser

    void setUser(java.lang.String user)
                 throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getPassword

    java.lang.String getPassword()

  Deprecated.

### setPassword

    void setPassword(java.lang.String password)
                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getCheckoutTimeout

    int getCheckoutTimeout()

  Deprecated.

### setCheckoutTimeout

    void setCheckoutTimeout(int checkoutTimeout)
                            throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getAcquireIncrement

    int getAcquireIncrement()

  Deprecated.

### setAcquireIncrement

    void setAcquireIncrement(int acquireIncrement)
                             throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getAcquireRetryAttempts

    int getAcquireRetryAttempts()

  Deprecated.

### setAcquireRetryAttempts

    void setAcquireRetryAttempts(int acquireRetryAttempts)
                                 throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getAcquireRetryDelay

    int getAcquireRetryDelay()

  Deprecated.

### setAcquireRetryDelay

    void setAcquireRetryDelay(int acquireRetryDelay)
                              throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isAutoCommitOnClose

    boolean isAutoCommitOnClose()

  Deprecated.

### setAutoCommitOnClose

    void setAutoCommitOnClose(boolean autoCommitOnClose)
                              throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getConnectionTesterClassName

    java.lang.String getConnectionTesterClassName()

  Deprecated.

### setConnectionTesterClassName

    void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException,
                                             javax.naming.NamingException

  Deprecated.
  Throws:
    `java.beans.PropertyVetoException`
    `javax.naming.NamingException`

### getAutomaticTestTable

    java.lang.String getAutomaticTestTable()

  Deprecated.

### setAutomaticTestTable

    void setAutomaticTestTable(java.lang.String automaticTestTable)
                               throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isForceIgnoreUnresolvedTransactions

    boolean isForceIgnoreUnresolvedTransactions()

  Deprecated.

### setForceIgnoreUnresolvedTransactions

    void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)
                                              throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getIdleConnectionTestPeriod

    int getIdleConnectionTestPeriod()

  Deprecated.

### setIdleConnectionTestPeriod

    void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)
                                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getInitialPoolSize

    int getInitialPoolSize()

  Deprecated.

### setInitialPoolSize

    void setInitialPoolSize(int initialPoolSize)
                            throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getMaxIdleTime

    int getMaxIdleTime()

  Deprecated.

### setMaxIdleTime

    void setMaxIdleTime(int maxIdleTime)
                        throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getMaxPoolSize

    int getMaxPoolSize()

  Deprecated.

### setMaxPoolSize

    void setMaxPoolSize(int maxPoolSize)
                        throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getMaxStatements

    int getMaxStatements()

  Deprecated.

### setMaxStatements

    void setMaxStatements(int maxStatements)
                          throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getMaxStatementsPerConnection

    int getMaxStatementsPerConnection()

  Deprecated.

### setMaxStatementsPerConnection

    void setMaxStatementsPerConnection(int maxStatementsPerConnection)
                                       throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getMinPoolSize

    int getMinPoolSize()

  Deprecated.

### setMinPoolSize

    void setMinPoolSize(int minPoolSize)
                        throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getPropertyCycle

    int getPropertyCycle()

  Deprecated.

### setPropertyCycle

    void setPropertyCycle(int propertyCycle)
                          throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isBreakAfterAcquireFailure

    boolean isBreakAfterAcquireFailure()

  Deprecated.

### setBreakAfterAcquireFailure

    void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)
                                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckout

    boolean isTestConnectionOnCheckout()

  Deprecated.

### setTestConnectionOnCheckout

    void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)
                                     throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isTestConnectionOnCheckin

    boolean isTestConnectionOnCheckin()

  Deprecated.

### setTestConnectionOnCheckin

    void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)
                                    throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### isUsesTraditionalReflectiveProxies

    boolean isUsesTraditionalReflectiveProxies()

  Deprecated.

### setUsesTraditionalReflectiveProxies

    void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)
                                             throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getPreferredTestQuery

    java.lang.String getPreferredTestQuery()

  Deprecated.

### setPreferredTestQuery

    void setPreferredTestQuery(java.lang.String preferredTestQuery)
                               throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getNumHelperThreads

    int getNumHelperThreads()

  Deprecated.

### setNumHelperThreads

    void setNumHelperThreads(int numHelperThreads)
                             throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getFactoryClassLocation

    java.lang.String getFactoryClassLocation()

  Deprecated.

### setFactoryClassLocation

    void setFactoryClassLocation(java.lang.String factoryClassLocation)
                                 throws javax.naming.NamingException

  Deprecated.
  Throws:
    `javax.naming.NamingException`

### getNumUserPools

    int getNumUserPools()
                        throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumConnectionsDefaultUser

    int getNumConnectionsDefaultUser()
                                     throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsDefaultUser

    int getNumIdleConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsDefaultUser

    int getNumBusyConnectionsDefaultUser()
                                         throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsDefaultUser

    int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                     throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumConnections

    int getNumConnections(java.lang.String username,
                          java.lang.String password)
                          throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumIdleConnections

    int getNumIdleConnections(java.lang.String username,
                              java.lang.String password)
                              throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumBusyConnections

    int getNumBusyConnections(java.lang.String username,
                              java.lang.String password)
                              throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnections

    int getNumUnclosedOrphanedConnections(java.lang.String username,
                                          java.lang.String password)
                                          throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumBusyConnectionsAllUsers

    int getNumBusyConnectionsAllUsers()
                                      throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumIdleConnectionsAllUsers

    int getNumIdleConnectionsAllUsers()
                                      throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumConnectionsAllUsers

    int getNumConnectionsAllUsers()
                                  throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### getNumUnclosedOrphanedConnectionsAllUsers

    int getNumUnclosedOrphanedConnectionsAllUsers()
                                                  throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### softResetDefaultUser

    void softResetDefaultUser()
                              throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### softReset

    void softReset(java.lang.String username,
                   java.lang.String password)
                   throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### softResetAllUsers

    void softResetAllUsers()
                           throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### hardReset

    void hardReset()
                   throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### close

    void close()
               throws java.sql.SQLException

  Deprecated.
  Throws:
    `java.sql.SQLException`

### create

    void create()
                throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### start

    void start()
               throws java.lang.Exception

  Deprecated.
  Throws:
    `java.lang.Exception`

### stop

    void stop()

  Deprecated.

### destroy

    void destroy()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD